********************************************************************
*** Name.....: RUNEXPLORER.PRG
*** Author...: Andy Kramek & Marcia Akins
*** Date.....: 07/24/2007
*** Notice...: Copyright (c) 2007 Tightline Computers, Inc
*** Compiler.: Visual FoxPro 09.00.0000.3504 for Windows 
*** Function.: Runs Windows Explorer with the specified directory selected
*** .........: Defaults to VFP current working directory if none passed 
*** Usage....: ON KEY LABEL Ctrl+F3 DO RunExplorer WITH "<full path>"
********************************************************************
LPARAMETERS tcDir 
LOCAL ARRAY laDex[1]
LOCAL lcDir, lnDex, llIsLoaded, lcParms, lnRes
********************************************************************
*** Default to current directory if nothing is passed in
********************************************************************
IF VARTYPE( tcDir ) # "C" OR EMPTY( tcDir )
  lcDir = FULLPATH( CURDIR())
ELSE
  ********************************************************************
  *** Default if specified directory does not exist
  ********************************************************************
  IF NOT DIRECTORY( tcDir )
    lcDir = FULLPATH(CURDIR())
  ELSE
    lcDir = tcDir
  ENDIF
ENDIF
********************************************************************
*** Make sure we have Shellexecute available
********************************************************************
lnDex = ADLLS( laDex )
IF lnDex > 0
  llIsLoaded = (ASCAN( laDex, 'shellexecute', 2, -1, 2, 15 ) > 0)
ELSE
  llIsLoaded = .F.
ENDIF

IF NOT llIsLoaded
  ********************************************************************
  *** Load the function 
  ********************************************************************
  DECLARE INTEGER ShellExecute IN shell32; 
    INTEGER hwnd,; 
    STRING  lpOperation,; 
    STRING  lpFile,; 
    STRING  lpParameters,;   
    STRING  lpDirectory,; 
    INTEGER nShowCmd 
ENDIF
********************************************************************
*** Open Explorer to the correct location
********************************************************************
lcParms = "/n,,/e," + lcDir
lnRes = ShellExecute( 0, "open", 'explorer.exe', lcParms, "", 1 )
RETURN
