**********************************************************************
*** Program....: SetEdFnt.PRG
*** Author...: Andy Kramek & Marcia Akins
*** Date.....: 07/24/2007
*** Notice...: Copyright (c) 2007 Tightline Computers, Inc
*** Compiler.: Visual FoxPro 09.00.0000.3504 for Windows 
*** Function.: Based on an original routine written by Christof Lange
*** .........: to resize the font of the active VFP Editing Window
*** Usage....: ON KEY LABEL Ctrl+F9 DO setedfnt
**********************************************************************

**********************************************************************
* Get a handle to the edit window
**********************************************************************
LOCAL lnWHandle
IF NOT "FOXTOOLS" $ UPPER( SET("Library") )
  SET LIBRARY TO (HOME()+"\FoxTools.Fll") ADDITIVE
ENDIF

**********************************************************************
*** Check for browse window named 'oBrow'
**********************************************************************
IF TYPE( 'obrow' ) = "O" AND NOT ISNULL( oBrow )
  WITH obrow
    .FontSize = 14
    .FontBold = .T.
    .AutoFit()
  ENDWITH
  RETURN
ENDIF

**********************************************************************
*** If we get here, go for editing window
**********************************************************************
lnWHandle = _WOnTop()
IF lnWHandle <= 0
  RETURN
ENDIF

**********************************************************************
*** Get current settings
**********************************************************************
LOCAL laEnv[25]
IF _EdGetEnv( m.lnWHandle, @laEnv ) == 0
  RETURN
ENDIF

**********************************************************************
*** Settings. Look up ToolHelp.Zip for possible values.
**********************************************************************
laEnv[22] = "COURIER NEW"
laEnv[23] = 14
laEnv[24] = 1

**********************************************************************
*** Update settings
**********************************************************************
_EdSetEnv( m.lnWHandle, @laEnv )
RETURN
